# Account

## Extends

- `Account`

### agentId?

```ts
optional agentId: string;
```

The id of agent that created the resource

#### Inherited from

```ts
bkper.Account.agentId
```

***

### archived?

```ts
optional archived: boolean;
```

Archived accounts are kept for history

#### Inherited from

```ts
bkper.Account.archived
```

***

### balance?

```ts
optional balance: string;
```

The running balance of the account at the transaction date. Only present when the account is part of a transaction response filtered by account. NOT the current account balance. To get current balances, use the Balances endpoint: GET /books/{bookId}/balances

#### Inherited from

```ts
bkper.Account.balance
```

***

### balanceVerified?

```ts
optional balanceVerified: boolean;
```

Whether the account balance has been verified/audited

#### Inherited from

```ts
bkper.Account.balanceVerified
```

***

### createdAt?

```ts
optional createdAt: string;
```

The creation timestamp, in milliseconds

#### Inherited from

```ts
bkper.Account.createdAt
```

***

### credit?

```ts
optional credit: boolean;
```

Credit nature or Debit otherwise

#### Inherited from

```ts
bkper.Account.credit
```

***

### groups?

```ts
optional groups: Group[];
```

The groups of the account

#### Inherited from

```ts
bkper.Account.groups
```

***

### hasTransactionPosted?

```ts
optional hasTransactionPosted: boolean;
```

Whether the account has any transactions posted

#### Inherited from

```ts
bkper.Account.hasTransactionPosted
```

***

### id?

```ts
optional id: string;
```

The unique id that identifies the Account in the Book

#### Inherited from

```ts
bkper.Account.id
```

***

### name?

```ts
optional name: string;
```

The name of the Account

#### Inherited from

```ts
bkper.Account.name
```

***

### normalizedName?

```ts
optional normalizedName: string;
```

The name of the Account, lowercase, without spaces or special characters

#### Inherited from

```ts
bkper.Account.normalizedName
```

***

### permanent?

```ts
optional permanent: boolean;
```

Permanent are such as bank accounts, customers or the like

#### Inherited from

```ts
bkper.Account.permanent
```

***

### properties?

```ts
optional properties: object;
```

The key/value custom properties of the Account

#### Index Signature

```ts
[name: string]: string
```

#### Inherited from

```ts
bkper.Account.properties
```

***

### type?

```ts
optional type: "ASSET" | "LIABILITY" | "INCOMING" | "OUTGOING";
```

The type of the account

#### Inherited from

```ts
bkper.Account.type
```

***

### updatedAt?

```ts
optional updatedAt: string;
```

The last update timestamp, in milliseconds

#### Inherited from

```ts
bkper.Account.updatedAt
```
